Subject: RE: [nemo] RE: about the Home Network Models WG item

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Fri, 7 Jan 2005 16:52:04 +0100

| -----Original Message-----
| From: Alexandru Petrescu [mailto:[email-masked]]
| Sent: Friday, January 07, 2005 2:35 PM
| To: Pascal Thubert (pthubert)
| Cc: nemo
| Subject: Re: [nemo] RE: about the Home Network Models WG item
| 
| Pascal Thubert (pthubert) wrote:
| > | Pascal Thubert (pthubert) wrote:
| > | > The HoA from MNP is orthogonal, could be done in all modes
| > |
| > | HoA from MNP may be "orthogonal" to all modes, but can not be done
in
| > | all modes.  An LFN on the Home Link can not talk to a neighbour MR
| > | that
| > | is away from home if that MR has HoA from MNP, because HA can not
do
| > | proxy ND for a HoA that is not on the Home Link.  So, to me, there
| > | exist
| > | a simple basic mode in which HoA is not from MNP.
| > |
| >
| > The HA would need to proxy ND the whole prefix. Not only to ping the
| > MR, but also any MNN. In the draft: "  Thus, the Home Agent MUST
| > intercept all the packets to the MNNs on the registered prefixes.
In
| > order to do so, the Home Agent might perform ND proxying for all
| > addresses in all registered Mobile Network Prefixes, and protect the
| > MNP space from autoconfiguration by uncontrolled visitors on the
Home
| > Link. "
| 
| A-ha!  So without the HA proxying all addresses in all MNPs in its BC
| the "HoA from MNP" can not work.  

Think again:

It's not the HoA from MNP that does not work without the proxying.

It is the support of coming Home in the Aggregated Home Network Model.
Think of the communication between a node at Home and a MNN.

Pascal

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 07 Jan 2005 17:11:05 +0100

Pascal Thubert (pthubert) wrote:

> | A-ha!  So without the HA proxying all addresses in all MNPs in its
> BC | the "HoA from MNP" can not work.
> 
> Think again:
> 

Right, it's not the HoA from the MNP that does not work without the
proxying, it is the entire "HoA from the MNP" scenario that does not work.

> It is the support of coming Home in the Aggregated Home Network

Not only the coming home in the Aggregated Home Network Model.  Many
other things don't work when using HoA from MNP.  So I was looking to
find out what are the advantages of using the HoA from MNP.

Alex